<!DOCTYPE HTML>
<!--
	Identity by HTML5 UP
	html5up.net | @ajlkn
	Free for personal and commercial use under the CCA 3.0 license (html5up.net/license)
-->
<html>
	<head>
		<title>Radio Free Elsewhere</title>
		<meta charset="utf-8" />
		<meta name="viewport" content="width=device-width, initial-scale=1, user-scalable=no" />
		<link rel="stylesheet" href="assets/css/rfe.css" />
		<noscript><link rel="stylesheet" href="assets/css/noscript.css" /></noscript>

		<style>
		        #now-playing {
		            font-family: Arial, sans-serif;
		            font-size: .5em;
		            padding: 10px;
		            background-color: #46494A;
		            color: #97C9D3;
		            border-radius: 5px;
		            display: inline-block;
		        }
		    </style>
		
	</head>
	<body class="is-preload">

		<!-- Wrapper -->
			<div id="wrapper">

				<!-- Main -->
					<section id="main">
						<header>
							<span class="avatar"><img src="images/avatar-rfe.jpg" alt="" /></span>
							<h1>Radio Free Elsewhere</h1>
							<p>Something different<br />Somewhere else</p>
							<audio controls src="https://radio.cyberpunklibrarian.nohost.me/rfe"></audio>
							<br />
							Now playing
							<div id="now-playing">Loading current song...</div>

							<script>
										    function fetchNowPlaying() {
										        fetch('now_playing.php')
										            .then(response => response.text())
										            .then(data => {
										                document.getElementById('now-playing').innerHTML = data;
										            })
										            .catch(error => {
										                document.getElementById('now-playing').innerHTML = "Unable to load song data.";
										                console.error('Error fetching song data:', error);
										            });
										    }
										
										    // Fetch immediately and then every 15 seconds
										    fetchNowPlaying();
										    setInterval(fetchNowPlaying, 15000);
										</script>

							<p></p>							
							<h3>- Shows -</h3>
							<p span style="font-size: 10px;">Cosmoephoria - Audio psychedelia.</p>
							<p span style="font-size: 10px;">O'Morain's Pub - Celtic folk from Ireland, Scotland, Brittany, and beyond.</p>
							<p span style="font-size: 10px;">Bisexual Surfers from the Twilight of Time - Pyscho surf rock.</p>
						</header>
						<footer>
						</footer>
					</section>

				<!-- Footer -->
					<footer id="footer">
						<ul class="copyright">
							<li>Tanglewood Hill Studio</li><li>Design: <a href="http://html5up.net">HTML5 UP</a></li>
						</ul>
					</footer>

			</div>

		<!-- Scripts -->
			<script>
				if ('addEventListener' in window) {
					window.addEventListener('load', function() { document.body.className = document.body.className.replace(/\bis-preload\b/, ''); });
					document.body.className += (navigator.userAgent.match(/(MSIE|rv:11\.0)/) ? ' is-ie' : '');
				}
			</script>

	</body>
</html>
